# GESPipeline

A GESPipeline can take an audio-video GESTimeline and conveniently link its GESTrack-s to an internal playsink element, for preview/playback, and an internal encodebin element, for rendering. You can switch between these modes using ges_pipeline_set_mode.

You can choose the specific audio and video sinks used for previewing the timeline by setting the audio-sink and video-sink properties.

You can set the encoding and save location used in rendering by calling ges_pipeline_set_render_settings.

## GESPipeline

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GstPipeline
                            ╰──GESPipeline

### Class structure

#### GESPipelineClass

### GES.PipelineClass

## GES.Pipeline

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──Gst.Bin
                        ╰──Gst.Pipeline
                            ╰──GES.Pipeline

## GES.Pipeline

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──Gst.Bin
                        ╰──Gst.Pipeline
                            ╰──GES.Pipeline

### Constructors

#### ges_pipeline_new

    GESPipeline *
    ges_pipeline_new ()

Creates a new pipeline.

Returns ( [transfer: floating]) –

The newly created pipeline.

#### GES.Pipeline.prototype.new

    function GES.Pipeline.prototype.new(): {
        // javascript wrapper for 'ges_pipeline_new'
    }

Creates a new pipeline.

Returns (GES.Pipeline) –

The newly created pipeline.

#### GES.Pipeline.new

    def GES.Pipeline.new ():
        #python wrapper for 'ges_pipeline_new'

Creates a new pipeline.

Returns (GES.Pipeline) –

The newly created pipeline.

### Methods

#### ges_pipeline_get_mode

    GESPipelineFlags
    ges_pipeline_get_mode (GESPipeline * pipeline)

Gets the mode of the pipeline.

Parameters:

`pipeline` –

A GESPipeline

Returns –

The current mode of pipeline.

#### GES.Pipeline.prototype.get_mode

    function GES.Pipeline.prototype.get_mode(): {
        // javascript wrapper for 'ges_pipeline_get_mode'
    }

Gets the mode of the pipeline.

Parameters:

`pipeline` (GES.Pipeline) –

A GES.Pipeline

Returns (GES.PipelineFlags) –

The current mode of pipeline.

#### GES.Pipeline.get_mode

    def GES.Pipeline.get_mode (self):
        #python wrapper for 'ges_pipeline_get_mode'

Gets the mode of the pipeline.

Parameters:

`pipeline` (GES.Pipeline) –

A GES.Pipeline

Returns (GES.PipelineFlags) –

The current mode of pipeline.

#### ges_pipeline_get_thumbnail

    GstSample *
    ges_pipeline_get_thumbnail (GESPipeline * self,
                                GstCaps * caps)

Gets a sample from the pipeline of the currently displayed image in preview, in the specified format.

Note that if you use "ANY" caps for caps, then the current format of the image is used. You can retrieve these caps from the returned sample with gst_sample_get_caps.

Parameters:

`self` –

A GESPipeline in GST_STATE_PLAYING or GST_STATE_PAUSED

`caps` ( [transfer: none]) –

Some caps to specifying the desired format, or GST_CAPS_ANY to use the native format

Returns ( [transfer: full][nullable]) –

A sample of self's current image preview in the format given by caps, or NULL if an error prevented fetching the sample.

#### GES.Pipeline.prototype.get_thumbnail

    function GES.Pipeline.prototype.get_thumbnail(caps: Gst.Caps): {
        // javascript wrapper for 'ges_pipeline_get_thumbnail'
    }

Gets a sample from the pipeline of the currently displayed image in preview, in the specified format.

Note that if you use "ANY" caps for caps, then the current format of the image is used. You can retrieve these caps from the returned sample with Gst.Sample.prototype.get_caps.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline in Gst.State.PLAYING or Gst.State.PAUSED

`caps` (Gst.Caps) –

Some caps to specifying the desired format, or GST_CAPS_ANY (not introspectable) to use the native format

Returns (Gst.Sample) –

A sample of self's current image preview in the format given by caps, or null if an error prevented fetching the sample.

#### GES.Pipeline.get_thumbnail

    def GES.Pipeline.get_thumbnail (self, caps):
        #python wrapper for 'ges_pipeline_get_thumbnail'

Gets a sample from the pipeline of the currently displayed image in preview, in the specified format.

Note that if you use "ANY" caps for caps, then the current format of the image is used. You can retrieve these caps from the returned sample with Gst.Sample.get_caps.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline in Gst.State.PLAYING or Gst.State.PAUSED

`caps` (Gst.Caps) –

Some caps to specifying the desired format, or GST_CAPS_ANY (not introspectable) to use the native format

Returns (Gst.Sample) –

A sample of self's current image preview in the format given by caps, or None if an error prevented fetching the sample.

#### ges_pipeline_get_thumbnail_rgb24

    GstSample *
    ges_pipeline_get_thumbnail_rgb24 (GESPipeline * self,
                                      gint width,
                                      gint height)

Gets a sample from the pipeline of the currently displayed image in preview, in the 24-bit "RGB" format and of the desired width and height.

See ges_pipeline_get_thumbnail.

Parameters:

`self` –

A GESPipeline in GST_STATE_PLAYING or GST_STATE_PAUSED

`width` –

The requested pixel width of the image, or -1 to use the native size

`height` –

The requested pixel height of the image, or -1 to use the native size

Returns ( [transfer: full][nullable]) –

A sample of self's current image preview in the "RGB" format, scaled to width and height, or NULL if an error prevented fetching the sample.

#### GES.Pipeline.prototype.get_thumbnail_rgb24

    function GES.Pipeline.prototype.get_thumbnail_rgb24(width: Number, height: Number): {
        // javascript wrapper for 'ges_pipeline_get_thumbnail_rgb24'
    }

Gets a sample from the pipeline of the currently displayed image in preview, in the 24-bit "RGB" format and of the desired width and height.

See GES.Pipeline.prototype.get_thumbnail.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline in Gst.State.PLAYING or Gst.State.PAUSED

`width` (Number) –

The requested pixel width of the image, or -1 to use the native size

`height` (Number) –

The requested pixel height of the image, or -1 to use the native size

Returns (Gst.Sample) –

A sample of self's current image preview in the "RGB" format, scaled to width and height, or null if an error prevented fetching the sample.

#### GES.Pipeline.get_thumbnail_rgb24

    def GES.Pipeline.get_thumbnail_rgb24 (self, width, height):
        #python wrapper for 'ges_pipeline_get_thumbnail_rgb24'

Gets a sample from the pipeline of the currently displayed image in preview, in the 24-bit "RGB" format and of the desired width and height.

See GES.Pipeline.get_thumbnail.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline in Gst.State.PLAYING or Gst.State.PAUSED

`width` (int) –

The requested pixel width of the image, or -1 to use the native size

`height` (int) –

The requested pixel height of the image, or -1 to use the native size

Returns (Gst.Sample) –

A sample of self's current image preview in the "RGB" format, scaled to width and height, or None if an error prevented fetching the sample.

#### ges_pipeline_preview_get_audio_sink

    GstElement *
    ges_pipeline_preview_get_audio_sink (GESPipeline * self)

Gets the audio-sink of the pipeline.

Parameters:

`self` –

A GESPipeline

Returns ( [transfer: full][nullable]) –

The audio sink used by self for preview.

#### GES.Pipeline.prototype.preview_get_audio_sink

    function GES.Pipeline.prototype.preview_get_audio_sink(): {
        // javascript wrapper for 'ges_pipeline_preview_get_audio_sink'
    }

Gets the audio-sink of the pipeline.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline

Returns (Gst.Element) –

The audio sink used by self for preview.

#### GES.Pipeline.preview_get_audio_sink

    def GES.Pipeline.preview_get_audio_sink (self):
        #python wrapper for 'ges_pipeline_preview_get_audio_sink'

Gets the audio_sink of the pipeline.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline

Returns (Gst.Element) –

The audio sink used by self for preview.

#### ges_pipeline_preview_get_video_sink

    GstElement *
    ges_pipeline_preview_get_video_sink (GESPipeline * self)

Gets the video-sink of the pipeline.

Parameters:

`self` –

A GESPipeline

Returns ( [transfer: full][nullable]) –

The video sink used by self for preview.

#### GES.Pipeline.prototype.preview_get_video_sink

    function GES.Pipeline.prototype.preview_get_video_sink(): {
        // javascript wrapper for 'ges_pipeline_preview_get_video_sink'
    }

Gets the video-sink of the pipeline.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline

Returns (Gst.Element) –

The video sink used by self for preview.

#### GES.Pipeline.preview_get_video_sink

    def GES.Pipeline.preview_get_video_sink (self):
        #python wrapper for 'ges_pipeline_preview_get_video_sink'

Gets the video_sink of the pipeline.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline

Returns (Gst.Element) –

The video sink used by self for preview.

#### ges_pipeline_preview_set_audio_sink

    ges_pipeline_preview_set_audio_sink (GESPipeline * self,
                                         GstElement * sink)

Sets the audio-sink of the pipeline.

Parameters:

`self` –

A GESPipeline in GST_STATE_NULL

`sink` ( [transfer: none][nullable]) –

A audio sink for self to use for preview

#### GES.Pipeline.prototype.preview_set_audio_sink

    function GES.Pipeline.prototype.preview_set_audio_sink(sink: Gst.Element): {
        // javascript wrapper for 'ges_pipeline_preview_set_audio_sink'
    }

Sets the audio-sink of the pipeline.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline in Gst.State.NULL

`sink` (Gst.Element) –

A audio sink for self to use for preview

#### GES.Pipeline.preview_set_audio_sink

    def GES.Pipeline.preview_set_audio_sink (self, sink):
        #python wrapper for 'ges_pipeline_preview_set_audio_sink'

Sets the audio_sink of the pipeline.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline in Gst.State.NULL

`sink` (Gst.Element) –

A audio sink for self to use for preview

#### ges_pipeline_preview_set_video_sink

    ges_pipeline_preview_set_video_sink (GESPipeline * self,
                                         GstElement * sink)

Sets the video-sink of the pipeline.

Parameters:

`self` –

A GESPipeline in GST_STATE_NULL

`sink` ( [transfer: none][nullable]) –

A video sink for self to use for preview

#### GES.Pipeline.prototype.preview_set_video_sink

    function GES.Pipeline.prototype.preview_set_video_sink(sink: Gst.Element): {
        // javascript wrapper for 'ges_pipeline_preview_set_video_sink'
    }

Sets the video-sink of the pipeline.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline in Gst.State.NULL

`sink` (Gst.Element) –

A video sink for self to use for preview

#### GES.Pipeline.preview_set_video_sink

    def GES.Pipeline.preview_set_video_sink (self, sink):
        #python wrapper for 'ges_pipeline_preview_set_video_sink'

Sets the video_sink of the pipeline.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline in Gst.State.NULL

`sink` (Gst.Element) –

A video sink for self to use for preview

#### ges_pipeline_save_thumbnail

    gboolean
    ges_pipeline_save_thumbnail (GESPipeline * self,
                                 int width,
                                 int height,
                                 const gchar * format,
                                 const gchar * location,
                                 GError ** error)

Saves the currently displayed image of the pipeline in preview to the given location, in the specified dimensions and format.

Parameters:

`self` –

A GESPipeline in GST_STATE_PLAYING or GST_STATE_PAUSED

`width` –

The requested pixel width of the image, or -1 to use the native size

`height` –

The requested pixel height of the image, or -1 to use the native size

`format` –

The desired mime type (for example, "image/jpeg")

`location` –

The path to save the thumbnail to

`error` –

An error to be set in case something goes wrong, or NULL to ignore

Returns –

TRUE if self's current image preview was successfully saved to location using the given format, height and width.

#### GES.Pipeline.prototype.save_thumbnail

    function GES.Pipeline.prototype.save_thumbnail(width: Number, height: Number, format: String, location: String): {
        // javascript wrapper for 'ges_pipeline_save_thumbnail'
    }

Saves the currently displayed image of the pipeline in preview to the given location, in the specified dimensions and format.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline in Gst.State.PLAYING or Gst.State.PAUSED

`width` (Number) –

The requested pixel width of the image, or -1 to use the native size

`height` (Number) –

The requested pixel height of the image, or -1 to use the native size

`format` (String) –

The desired mime type (for example, "image/jpeg")

`location` (String) –

The path to save the thumbnail to

Returns (Number) –

true if self's current image preview was successfully saved to location using the given format, height and width.

#### GES.Pipeline.save_thumbnail

    @raises(GLib.GError)
    def GES.Pipeline.save_thumbnail (self, width, height, format, location):
        #python wrapper for 'ges_pipeline_save_thumbnail'

Saves the currently displayed image of the pipeline in preview to the given location, in the specified dimensions and format.

Parameters:

`self` (GES.Pipeline) –

A GES.Pipeline in Gst.State.PLAYING or Gst.State.PAUSED

`width` (int) –

The requested pixel width of the image, or -1 to use the native size

`height` (int) –

The requested pixel height of the image, or -1 to use the native size

`format` (str) –

The desired mime type (for example, "image/jpeg")

`location` (str) –

The path to save the thumbnail to

Returns (bool) –

True if self's current image preview was successfully saved to location using the given format, height and width.

#### ges_pipeline_set_mode

    gboolean
    ges_pipeline_set_mode (GESPipeline * pipeline,
                           GESPipelineFlags mode)

Sets the mode of the pipeline.

Note that the pipeline will be set to GST_STATE_NULL during this call to perform the necessary changes. You will need to set the state again yourself after calling this.

> NOTE: Rendering settings need to be set before setting mode to GES_PIPELINE_MODE_RENDER or GES_PIPELINE_MODE_SMART_RENDER, the call to this method will fail otherwise.

Parameters:

`pipeline` –

A GESPipeline

`mode` –

The mode to set for pipeline

Returns –

TRUE if the mode of pipeline was successfully set to mode.

#### GES.Pipeline.prototype.set_mode

    function GES.Pipeline.prototype.set_mode(mode: GES.PipelineFlags): {
        // javascript wrapper for 'ges_pipeline_set_mode'
    }

Sets the mode of the pipeline.

Note that the pipeline will be set to Gst.State.NULL during this call to perform the necessary changes. You will need to set the state again yourself after calling this.

> NOTE: Rendering settings need to be set before setting mode to GES.PipelineFlags.RENDER or GES.PipelineFlags.SMART_RENDER, the call to this method will fail otherwise.

Parameters:

`pipeline` (GES.Pipeline) –

A GES.Pipeline

`mode` (GES.PipelineFlags) –

The mode to set for pipeline

Returns (Number) –

true if the mode of pipeline was successfully set to mode.

#### GES.Pipeline.set_mode

    def GES.Pipeline.set_mode (self, mode):
        #python wrapper for 'ges_pipeline_set_mode'

Sets the mode of the pipeline.

Note that the pipeline will be set to Gst.State.NULL during this call to perform the necessary changes. You will need to set the state again yourself after calling this.

> NOTE: Rendering settings need to be set before setting mode to GES.PipelineFlags.RENDER or GES.PipelineFlags.SMART_RENDER, the call to this method will fail otherwise.

Parameters:

`pipeline` (GES.Pipeline) –

A GES.Pipeline

`mode` (GES.PipelineFlags) –

The mode to set for pipeline

Returns (bool) –

True if the mode of pipeline was successfully set to mode.

#### ges_pipeline_set_render_settings

    gboolean
    ges_pipeline_set_render_settings (GESPipeline * pipeline,
                                      const gchar * output_uri,
                                      GstEncodingProfile * profile)

Specifies encoding setting to be used by the pipeline to render its timeline, and where the result should be written to.

This method must be called before setting the pipeline mode to GES_PIPELINE_MODE_RENDER.

Parameters:

`pipeline` –

A GESPipeline

`output_uri` –

The URI to save the timeline rendering result to

`profile` –

The encoding to use for rendering the timeline

Returns –

TRUE if the settings were successfully set on pipeline.

#### GES.Pipeline.prototype.set_render_settings

    function GES.Pipeline.prototype.set_render_settings(output_uri: String, profile: GstPbutils.EncodingProfile): {
        // javascript wrapper for 'ges_pipeline_set_render_settings'
    }

Specifies encoding setting to be used by the pipeline to render its timeline, and where the result should be written to.

This method must be called before setting the pipeline mode to GES.PipelineFlags.RENDER.

Parameters:

`pipeline` (GES.Pipeline) –

A GES.Pipeline

`output_uri` (String) –

The URI to save the timeline rendering result to

`profile` (GstPbutils.EncodingProfile) –

The encoding to use for rendering the timeline

Returns (Number) –

true if the settings were successfully set on pipeline.

#### GES.Pipeline.set_render_settings

    def GES.Pipeline.set_render_settings (self, output_uri, profile):
        #python wrapper for 'ges_pipeline_set_render_settings'

Specifies encoding setting to be used by the pipeline to render its timeline, and where the result should be written to.

This method must be called before setting the pipeline mode to GES.PipelineFlags.RENDER.

Parameters:

`pipeline` (GES.Pipeline) –

A GES.Pipeline

`output_uri` (str) –

The URI to save the timeline rendering result to

`profile` (GstPbutils.EncodingProfile) –

The encoding to use for rendering the timeline

Returns (bool) –

True if the settings were successfully set on pipeline.

#### ges_pipeline_set_timeline

    gboolean
    ges_pipeline_set_timeline (GESPipeline * pipeline,
                               GESTimeline * timeline)

Takes the given timeline and sets it as the timeline for the pipeline.

Note that you should only call this method once on a given pipeline because a pipeline can not have its timeline changed after it has been set.

Parameters:

`pipeline` –

A GESPipeline

`timeline` ( [transfer: floating]) –

The timeline to set for pipeline

Returns –

TRUE if timeline was successfully given to pipeline.

#### GES.Pipeline.prototype.set_timeline

    function GES.Pipeline.prototype.set_timeline(timeline: GES.Timeline): {
        // javascript wrapper for 'ges_pipeline_set_timeline'
    }

Takes the given timeline and sets it as the timeline for the pipeline.

Note that you should only call this method once on a given pipeline because a pipeline can not have its timeline changed after it has been set.

Parameters:

`pipeline` (GES.Pipeline) –

A GES.Pipeline

`timeline` (GES.Timeline) –

The timeline to set for pipeline

Returns (Number) –

true if timeline was successfully given to pipeline.

#### GES.Pipeline.set_timeline

    def GES.Pipeline.set_timeline (self, timeline):
        #python wrapper for 'ges_pipeline_set_timeline'

Takes the given timeline and sets it as the timeline for the pipeline.

Note that you should only call this method once on a given pipeline because a pipeline can not have its timeline changed after it has been set.

Parameters:

`pipeline` (GES.Pipeline) –

A GES.Pipeline

`timeline` (GES.Timeline) –

The timeline to set for pipeline

Returns (bool) –

True if timeline was successfully given to pipeline.

### Properties

#### audio-filter

    “audio-filter” GstElement *

The audio filter(s) to apply during playback in preview mode, immediately before the audio-sink. This exposes the playsink:audio-filter property of the internal playsink.

Flags : Read / Write

Since : 1.6.0

#### audio-filter

    “audio-filter” Gst.Element

The audio filter(s) to apply during playback in preview mode, immediately before the audio-sink. This exposes the audio-filter (not introspectable) property of the internal playsink (not introspectable).

Flags : Read / Write

Since : 1.6.0

#### audio_filter

    “self.props.audio_filter” Gst.Element

The audio filter(s) to apply during playback in preview mode, immediately before the audio_sink. This exposes the audio-filter (not introspectable) property of the internal playsink (not introspectable).

Flags : Read / Write

Since : 1.6.0

#### audio-sink

    “audio-sink” GstElement *

The audio sink used for preview. This exposes the playsink:audio-sink property of the internal playsink.

Flags : Read / Write

#### audio-sink

    “audio-sink” Gst.Element

The audio sink used for preview. This exposes the audio-sink (not introspectable) property of the internal playsink (not introspectable).

Flags : Read / Write

#### audio_sink

    “self.props.audio_sink” Gst.Element

The audio sink used for preview. This exposes the audio-sink (not introspectable) property of the internal playsink (not introspectable).

Flags : Read / Write

#### mode

    “mode” GESPipelineFlags *

The pipeline's mode. In preview mode (for audio or video, or both) the pipeline can display the timeline's content to an end user. In rendering mode the pipeline can encode the timeline's content and save it to a file.

Flags : Read / Write

#### mode

    “mode” GES.PipelineFlags

The pipeline's mode. In preview mode (for audio or video, or both) the pipeline can display the timeline's content to an end user. In rendering mode the pipeline can encode the timeline's content and save it to a file.

Flags : Read / Write

#### mode

    “self.props.mode” GES.PipelineFlags

The pipeline's mode. In preview mode (for audio or video, or both) the pipeline can display the timeline's content to an end user. In rendering mode the pipeline can encode the timeline's content and save it to a file.

Flags : Read / Write

#### timeline

    “timeline” GESTimeline *

The timeline used by this pipeline, whose content it will play and render, or NULL if the pipeline does not yet have a timeline.

Note that after you set the timeline for the first time, subsequent calls to change the timeline will fail.

Flags : Read / Write

#### timeline

    “timeline” GES.Timeline

The timeline used by this pipeline, whose content it will play and render, or null if the pipeline does not yet have a timeline.

Note that after you set the timeline for the first time, subsequent calls to change the timeline will fail.

Flags : Read / Write

#### timeline

    “self.props.timeline” GES.Timeline

The timeline used by this pipeline, whose content it will play and render, or None if the pipeline does not yet have a timeline.

Note that after you set the timeline for the first time, subsequent calls to change the timeline will fail.

Flags : Read / Write

#### video-filter

    “video-filter” GstElement *

The video filter(s) to apply during playback in preview mode, immediately before the video-sink. This exposes the playsink:video-filter property of the internal playsink.

Flags : Read / Write

Since : 1.6.0

#### video-filter

    “video-filter” Gst.Element

The video filter(s) to apply during playback in preview mode, immediately before the video-sink. This exposes the video-filter (not introspectable) property of the internal playsink (not introspectable).

Flags : Read / Write

Since : 1.6.0

#### video_filter

    “self.props.video_filter” Gst.Element

The video filter(s) to apply during playback in preview mode, immediately before the video_sink. This exposes the video-filter (not introspectable) property of the internal playsink (not introspectable).

Flags : Read / Write

Since : 1.6.0

#### video-sink

    “video-sink” GstElement *

The video sink used for preview. This exposes the playsink:video-sink property of the internal playsink.

Flags : Read / Write

#### video-sink

    “video-sink” Gst.Element

The video sink used for preview. This exposes the video-sink (not introspectable) property of the internal playsink (not introspectable).

Flags : Read / Write

#### video_sink

    “self.props.video_sink” Gst.Element

The video sink used for preview. This exposes the video-sink (not introspectable) property of the internal playsink (not introspectable).

Flags : Read / Write

## Functions

### ges_play_sink_convert_frame

    GstSample *
    ges_play_sink_convert_frame (GstElement * playsink,
                                 GstCaps * caps)

Get the last buffer playsink showed

Parameters:

`playsink` –

The playsink to get last frame from

`caps` –

The caps defining the format the return value will have

Returns ( [transfer: full][nullable]) –

A GstSample containing the last frame from playsink in the format defined by the caps

deprecated : 1.18: Use the "convert-sample" action signal of #playsink instead.

### GES.prototype.play_sink_convert_frame

    function GES.prototype.play_sink_convert_frame(playsink: Gst.Element, caps: Gst.Caps): {
        // javascript wrapper for 'ges_play_sink_convert_frame'
    }

Get the last buffer playsink showed

Parameters:

`playsink` (Gst.Element) –

The playsink to get last frame from

`caps` (Gst.Caps) –

The caps defining the format the return value will have

Returns (Gst.Sample) –

A Gst.Sample containing the last frame from playsink in the format defined by the caps

deprecated : 1.18: Use the "convert-sample" action signal of #playsink instead.

### GES.play_sink_convert_frame

    def GES.play_sink_convert_frame (playsink, caps):
        #python wrapper for 'ges_play_sink_convert_frame'

Get the last buffer playsink showed

Parameters:

`playsink` (Gst.Element) –

The playsink to get last frame from

`caps` (Gst.Caps) –

The caps defining the format the return value will have

Returns (Gst.Sample) –

A Gst.Sample containing the last frame from playsink in the format defined by the caps

deprecated : 1.18: Use the "convert-sample" action signal of #playsink instead.

## Constants

### GES_TYPE_PIPELINE

    #define GES_TYPE_PIPELINE ges_pipeline_get_type()

The results of the search are